<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_SocialProfiles StructType
 * @subpackage Structs
 */
class Get_SocialProfiles extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The SocialProfileSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\SocialProfileSelection
     */
    public $SocialProfileSelection;
    /**
     * Constructor method for Get_SocialProfiles
     * @uses Get_SocialProfiles::setLogin()
     * @uses Get_SocialProfiles::setSocialProfileSelection()
     * @param \StructType\Login $login
     * @param \StructType\SocialProfileSelection $socialProfileSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\SocialProfileSelection $socialProfileSelection = null)
    {
        $this
            ->setLogin($login)
            ->setSocialProfileSelection($socialProfileSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_SocialProfiles
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get SocialProfileSelection value
     * @return \StructType\SocialProfileSelection|null
     */
    public function getSocialProfileSelection()
    {
        return $this->SocialProfileSelection;
    }
    /**
     * Set SocialProfileSelection value
     * @param \StructType\SocialProfileSelection $socialProfileSelection
     * @return \StructType\Get_SocialProfiles
     */
    public function setSocialProfileSelection(\StructType\SocialProfileSelection $socialProfileSelection = null)
    {
        $this->SocialProfileSelection = $socialProfileSelection;
        return $this;
    }
}
